WCI Custom XPRC2Crypto Password Code No Longer Works (Doc ID 1922654.1)

Last updated on APRIL 17, 2017

Applies to:

Oracle WebCenter Interaction - Version 10.3.3.0 and later
Information in this document applies to any platform.
This note is relevant to WebCenter Interaction 10.3.3.x.

Symptoms

A custom application uses the XPRC2Crypto class to manage user passwords. After upgrading to 10.3.3, the code no longer works properly. There may be a warning message of the following in PTSpy:

XPRC2Crypto.Decrypt(): The encrypted string is invalid, it does not start with a valid marker character.

Changes

WCI Environment upgraded to 10.3.3.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms